

var x_7m = 1;


var x_7l  = 3;

var x_f4 = null;
 
function x_7r(x_f5) {
x_f4 = new x_f6(x_f5)
return x_f4;
}
 
function x_f6(x_f5) {
this.x_f7     = false;
this.x_f8  = x_f5;
this.x_f9  = 680;
this.x_fa = 530;
this.x_fb         = "./";
this.x_fc = {
x_7v:  "Kerio Exception Report Wizard",
x_7w:  "Please replace this text with a brief description what you were doing when this exception occurred (e.g. removing a rule, changing settings, etc.)",
x_7x:      "Kerio",
x_7y:       "",
x_7z:      {
x_80:  1,
0:            "Error reporting can be set in Settings / Miscellaneous." 
}
};
}
  
x_f6.prototype.x_fd = function(x_fe, x_ff) {
this.x_f9  = x_fe;
this.x_fa = x_ff;
}
  
x_f6.prototype.x_7s = function(x_fg, x_fh, x_fi) {
this.x_fj = x_fg;
this.x_fk       = x_fh;
this.x_fl      = x_fi;
}
 
x_f6.prototype.x_7t = function(x_fm) {
this.x_fn = x_fm;
}
 
x_f6.prototype.x_7u = function(x_fo) {
if (!x_fo || (x_fo.length == 0)) {
return;		}
this.x_fb = x_fo;
if (x_fo.substr(x_fo.length - 1, 1) != "/") {
this.x_fb += "/";
}
}
 
x_f6.prototype.x_82 = function() {
this.x_81();
this.x_fp();
this.x_fq();
if (this.x_f8 != x_7l) {
window.onerror = this.x_fr;
}
}
  
x_f6.prototype.x_fp = function() {
this.x_fs = '<form method="post" action="' + this.x_fn + '">' +
'<input type="text" name="FormAction" value="ToggleJsErrorReporting">' +
'<input type="text" name="ErrorReporting" value="">' +
'<input type="submit" value="submit">' +
'</form>';
}
  
x_f6.prototype.x_fq = function() {
var x_7y = '';
var x_ft = '';
var x_7z = '';
if (this.x_fc.x_7y != '') {
x_7y = '\'s ' + this.x_fc.x_7y;
x_ft = this.x_fc.x_7y;
}
else {
x_ft = this.x_fc.x_7x;
}
var x_fu = '<li style="list-style-type:square; padding-left:10px;">';
var x_fv = '</li>';
var x_fw = 'No other data except the information stated here will be sent to Kerio Technologies.';
x_7z = x_fu + x_fw + x_fv;
for (i = 0; i < this.x_fc.x_7z.x_80; i++) {
x_7z += x_fu + this.x_fc.x_7z[i] + x_fv
}
this.x_fx = {
1:  '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">\n' +
'<html>\n' +
'<head>\n' +
' <meta http-equiv="Content-type" content="text/html; charset=utf-8">\n' +
' <title>' + this.x_fc.x_7v + '</title>\n' +
'<style type="text/css">\n' +
'.crashTable {\n' +
'  font: 11px Tahoma, Verdana, sans-serif;\n' +
'  width: 100%;\n' +
'  table-layout: fixed;\n' +
'}\n' +
'.crashTable TD {\n' +
'  padding: 2px;\n' +
'}\n' +	
'BODY {\n' +	
'  font: 11px Tahoma, Verdana, sans-serif;\n' +	
'  margin: 0px;\n' +	
'  padding: 0px;\n' +	
'  height: 100%;\n' +	
'  background-color: ButtonFace;\n' +	
'}\n' +	
'</style>\n' +
'</head>\n' +
'<script type="text/javascript">\n' +
'function x_fy(x_fz){\n' +
'    var x_g0 = null;\n' +
'    if (x_fz == null) {\n' +
'      x_fz = window;\n' +
'    }\n' +
'    if (x_fz != null){\n' +
'      if (x_fz.dialogArguments != null) {\n' +
'	     x_g0 = x_fz.dialogArguments;\n' +
'	   }\n' +
'      if (x_g0 == null){\n' +
'        if (x_fz.opener != null){\n' +
'          x_g0 = x_fz.opener;\n' +
'        }\n' +
'      }\n' +
'    }\n' +
'    if (x_g0 != null){\n' +
'      if (x_g0.closed) x_g0 = null;\n' +
'    }\n' +
'    return x_g0;\n' +
'}\n' +
'  function x_g1() {\n' +
'    var x_g2 = window.CommandFrame.document; \n' +
'    x_g2.body.innerHTML = \'' + this.x_fs + '\';\n' +
'	 x_g2.forms[0].ErrorReporting.value = window.document.getElementById(\'StopReporting\').checked ? ' + x_7l + ' : ' + x_7m + ';\n' +
'	 x_g2.forms[0].submit();\n' +
'    return;\n' +
'  }\n' +
'  function x_g3() {\n' +
'    var x_g4 = x_fy();\n' +
'    if (x_g4) {\n' +
'      x_g4.x_f4.x_f7 = false;\n' +
'    }\n' +
'    document.getElementById(\'EmptyComment\').value = ((document.getElementById(\'comment\').value == \'' + this.x_fc.x_7w + '\') ? 1 : 0);\n' +
'  }\n' +
'  function x_g5() {\n' +
'    var x_g4 = x_fy();\n' +
'    if (x_g4) {\n' +
'      x_g4.x_f4.x_f7 = false;\n' +
'    }\n' +
'    window.close();\n' +
'  }\n' +
'</script>\n' +
'<body onload="this.focus();">\n' +
'<div style="padding: 5px">\n' +
'<h3>Unexpected exception occured in ' + x_ft + '</h3>\n' +
'<p align="justify">An exception has occurred in ' + this.x_fc.x_7x + x_7y +
'. Use this window to report this exception to Kerio Technologies so that we may assist in resolving the issue. We apologize for any inconvenience.</p>\n' +
'<form action="https://assist.kerio.com/assist/report.php" method="post" onsubmit="x_g3(); return true;">\n' +
'<table class="crashTable" border="0" cellpadding="0" cellspacing="0">\n' +
'<colgroup><col width="90"><col></colgroup>\n' +
'<tr><td>Message: </td><td>',
2:  '</td></tr>\n' +
'<tr><td>File:</td><td nowrap>',
3:  '</td></tr>\n' +
'<tr><td>Line:</td><td>',
4:  '</td></tr>\n' +
'<tr><td>Product&nbsp;version:</td><td>',
5:  '</td></tr>\n' +
'<tr><td>Server&nbsp;OS:</td><td>',
6:  '</td></tr>\n' +
'<tr><td>User&nbsp;agent:</td><td>',
7:  '</td></tr>\n' +
'<tr><td><div style="width: 90px">E-mail&nbsp;(optional):</div></td><td align="left"><input type="text" name="Email" size="40"></td></tr>\n' +
'<tr><td valign="top">User&nbsp;comment:</td><td><textarea name="comment" id="comment" rows="10" cols="60">' + this.x_fc.x_7w + '</textarea></td></tr>\n' +
'<tr><td>&nbsp;</td><td align="left"><input type="checkbox" Id="StopReporting" onclick="x_g1();"><label for="StopReporting">Do not show this window in future (error reporting will be disabled)</label></td></tr>\n' +
'</table><br>\n' +
'<input type="hidden" name="Message" value="',
8:  '">\n' +
'<input type="hidden" name="Url" value="',
9:  '">\n' +
'<input type="hidden" name="Line" value="',
10:  '">\n' +
'<input type="hidden" name="ProductVersion" value="',
11:  '">\n' +
'<input type="hidden" name="ServerOs" value="',
12:  '">\n' +
'<input type="hidden" name="UserAgent" value="',
13:  '">\n' +
'<b>Notice:</b><br>' + x_7z +
'<input type="hidden" name="EmptyComment" id="EmptyComment" value="1">' +
'<hr><div align="right"><input type="submit" value="Send error report">&nbsp;&nbsp;<input type="reset" onclick="x_g5();" value="Don\'t send"></div>\n' +
'</form>\n' +
'</div>\n' +
'<iframe name="CommandFrame" style="width: 1px; height: 1px; border: 0px;" src="' + this.x_fb + 'waclient_empty_page.php">\n' +
'  <html><body></body></html>\n' +
'</iframe>\n' +
'</body>\n' +
'</html>\n'
};
}
 
x_f6.prototype.x_fr = function(x_g6, x_g7, x_g8) {
if (!x_f4 || x_f4.x_f8 == x_7l) { 		
return false;
}
if (x_f4.x_f7) {
return true;				}
x_f4.x_f7 = true;
x_g7 = (x_g7 == null) ? "N/A" : x_f4.x_g9(x_g7);
if (x_g6 == null) {
x_g6 = "N/A";
}
if (x_g8 == null) {
x_g8 = "N/A";
}
var x_ga = window.open(
x_f4.x_fb + "waclient_empty_page.php", 
"CrashDump", 
"width=" + x_f4.x_f9 + 
", height=" + x_f4.x_fa + 
", resizable=yes"
);
if (x_ga == null) {
return false;
}
x_ga.document.open();
x_ga.document.write(
x_f4.x_fx[1] + x_f4.x_gb(x_g6) + 
x_f4.x_fx[2] + x_f4.x_gb(x_g7) + 
x_f4.x_fx[3] + x_f4.x_gb(String(x_g8)) +
x_f4.x_fx[4] + x_f4.x_gb(x_f4.x_fj) +
x_f4.x_fx[5] + x_f4.x_gb(x_f4.x_fk) +
x_f4.x_fx[6] + x_f4.x_gb(x_f4.x_fl) +
x_f4.x_fx[7] + x_f4.x_gb(x_g6) +
x_f4.x_fx[8] + x_f4.x_gb(x_g7) + 
x_f4.x_fx[9] + x_f4.x_gb(String(x_g8)) + 
x_f4.x_fx[10] + x_f4.x_gb(x_f4.x_fj) + 
x_f4.x_fx[11] + x_f4.x_gb(x_f4.x_fk) + 
x_f4.x_fx[12] + x_f4.x_gb(x_f4.x_fl) + 
x_f4.x_fx[13]
);
x_ga.document.close();
return true;
}

x_f6.prototype.x_gb = function(x_gc) {
x_gc = x_gc.replace(/&/g, '&amp;');
x_gc = x_gc.replace(/\x22/g, '&quot;');
x_gc = x_gc.replace(/&\x27/g, '&#039;');
x_gc = x_gc.replace(/</g, '&lt;');
x_gc = x_gc.replace(/>/g, '&gt;');
return x_gc;
}
 
x_f6.prototype.x_g9 = function(x_g7) {
var x_gd = /https?:\/\/([\w.-]+)(:(\d+))?\/(\S*)/;
var x_g0 = x_g7.match(x_gd);
if (x_g0 != null) {
return x_g0[4];
}
}
  
x_f6.prototype.x_81 = function(x_ge) {
if (x_ge && x_ge.x_7v) {
this.x_fc.x_7v = x_ge.x_7v;
}
if (x_ge && x_ge.x_7w) {
this.x_fc.x_7w = x_ge.x_7w;
}
if (x_ge && x_ge.x_7x) {
this.x_fc.x_7x = x_ge.x_7x;
}
if (x_ge && x_ge.x_7y) {
this.x_fc.x_7y = x_ge.x_7y;
}
if (x_ge && x_ge.x_7z) {
this.x_fc.x_7z = x_ge.x_7z;
}
} 